Bug 191101 - [PATCH] dns/p5-Net-DNS: fix broken functionality that breaks SpamAssassin!
[PATCH] dns/p5-Net-DNS: fix broken functionality that breaks SpamAssassin!
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Many People
Assigned To: Adam Weinberger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-16 19:32 UTC by Daniel Austin
Modified: 2014-06-20 18:29 UTC (History)
2 users (show)

See Also:


Attachments
20140616-p5-Net-DNS.diff (914 bytes, patch)
2014-06-16 19:32 UTC, Daniel Austin
no flags Details | Diff
diff for mail/spamassassin (1.71 KB, patch)
2014-06-20 08:14 UTC, Kurt Jaeger
no flags Details | Diff
patch for japanese/spamassassin (477 bytes, patch)
2014-06-20 08:14 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2014-06-16 19:32:28 UTC
Created attachment 143846 [details]
20140616-p5-Net-DNS.diff

A bug in the rushed release of 0.76 broke SpamAssassin (and presumably others) processing.

Fix:
Patch below updates to 0.77 and fixes the errors in SpamAssassin.

Maintainer CC'd
Comment 1 Daniel Austin 2014-06-16 19:33:35 UTC
Actually, this doesn't seem to have fixed things *sigh*

I assume we'll need to wait for 0.78 (or revert back to 0.75)
Comment 2 Kurt Jaeger freebsd_committer 2014-06-19 19:33:55 UTC
See also 189912, 191082
Comment 3 Kurt Jaeger freebsd_committer 2014-06-20 08:14:21 UTC
Created attachment 143950 [details]
diff for mail/spamassassin

this and the patch for japanese/spamassassin should fix the problem. please test and approve.
Comment 4 Kurt Jaeger freebsd_committer 2014-06-20 08:14:44 UTC
Created attachment 143951 [details]
patch for japanese/spamassassin
Comment 5 Adam Weinberger freebsd_committer 2014-06-20 18:06:12 UTC
These diffs are just PORTREVISION bumps. Is that all that is needed?
Comment 6 Daniel Austin 2014-06-20 18:08:27 UTC
I see a new patch in the files folder in the diff - but the BZ web diff doesn't show it.  Works if you download though.

(i've not tested Kurt's patch, just commenting!)
Comment 7 Kurt Jaeger freebsd_committer 2014-06-20 18:12:52 UTC
(In reply to Adam Weinberger from comment #5)
> These diffs are just PORTREVISION bumps. Is that all that is needed?

The mail/spamassassin has one little files/patch-... file included.
The bugzilla webinterface does not show this file (TODO: needs a PR about this).

The japanese/spamassassin is a slave port and only needs a revision bump.
Comment 8 Kurt Jaeger freebsd_committer 2014-06-20 18:16:39 UTC
(In reply to Kurt Jaeger from comment #7)
> (In reply to Adam Weinberger from comment #5)
> > These diffs are just PORTREVISION bumps. Is that all that is needed?
> 
> The mail/spamassassin has one little files/patch-... file included.
> The bugzilla webinterface does not show this file (TODO: needs a PR about
> this).

There already is a bug report:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=190724
Comment 9 Adam Weinberger freebsd_committer 2014-06-20 18:29:54 UTC
Thank you for preparing this patch! It is now committed.